Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.descriptors
Interface ICompositeSourcePropertyDescriptor

All Superinterfaces:
  IPropertyDescriptor

All Known Subinterfaces:
  IExtendedPropertyDescriptor

All Known Implementing Classes:
  CompositeSourcePropertyDescriptor, EMFCompositeSourcePropertyDescriptor, ExtendedPropertyDescriptor

public interface ICompositeSourcePropertyDescriptor
extends IPropertyDescriptor

A descriptor object to work together with the `CompositePropertySource` object. Clients who would like to take advantage of the concrete implementation of the `ICompositePropertySource` `CompositePropertySource` class, should implement interface for custom property descriptors. This interface can also be used by custom property provider objects to initialize properties - e.g. write protect, set initial property value, etc.

Method Summary
`java.lang.Object` `getPropertyValue()` Return a value of the the property represented by this descriptor
`boolean` `isReadOnly()` Return read-only status - true if editing of the property is not allowed, false otherwise
`void` `resetPropertyValue()` This method is used by the property source to reset the property that this property descriptor maps to.
`void` `setCategory(java.lang.String name)` Sets the property category name
`void` `setPropertyValue(java.lang.Object value)` This method is used by the property source to set the property that this property descriptor maps to.
`void` `setReadOnly(boolean read)` Set read-only to true if the property is read-only, or to false otherwise

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`createPropertyEditor, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, isCompatibleWith`

Method Detail

### setReadOnly

    public void setReadOnly(boolean read)

  Set read-only to true if the property is read-only, or to false otherwise

  Parameters:
    `read` - - true if the property is read-only, or to false otherwise

### isReadOnly

    public boolean isReadOnly()

  Return read-only status - true if editing of the property is not allowed, false otherwise

  Returns:
    - read-only status - true if editing of the property is not allowed, false otherwise

### setCategory

    public void setCategory(java.lang.String name)

  Sets the property category name

  Parameters:
    `name` - The category name in which the property is to be displayed.

### getPropertyValue

    public java.lang.Object getPropertyValue()

  Return a value of the the property represented by this descriptor

  Returns:
    - a value of this property

### setPropertyValue

    public void setPropertyValue(java.lang.Object value)

  This method is used by the property source to set the property that this property descriptor maps to.

  Parameters:
    `value` -

### resetPropertyValue

    public void resetPropertyValue()

  This method is used by the property source to reset the property that this property descriptor maps to.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.